%define Werror_cflags %{nil}

# comment out when not pre-release
#define prel    rc8

%define rel     9

Summary:        Linux MultiMedia Studio
Name:           lmms
Version:        1.2.2
Release:        %mkrel %{?prel:0.%prel.}%{rel}
Group:          Sound/Mixers
License:        GPLv2+
URL:            https://lmms.io/
Source0:        https://github.com/LMMS/lmms/releases/download/v%{version}%{?prel:-%{prel}}/%{name}_%{version}%{?prel:.%{prel}}.tar.xz
Patch1:         lmms-1.2.2-kwidgetsaddons.patch
Patch2:         lmms-1.2.2-plugin-path.patch
BuildRequires:  bash-completion
BuildRequires:  cmake
BuildRequires:  doxygen
BuildRequires:  git
BuildRequires:  icoutils
BuildRequires:  fltk-devel
BuildRequires:  lame-devel
BuildRequires:  SDL_sound-devel
BuildRequires:  soundio-devel
BuildRequires:  stk-devel
BuildRequires:  pkgconfig(sdl)
BuildRequires:  pkgconfig(jack)
BuildRequires:  pkgconfig(samplerate)
BuildRequires:  pkgconfig(Qt5Core)
BuildRequires:  pkgconfig(Qt5Gui)
BuildRequires:  pkgconfig(Qt5Help)
BuildRequires:  pkgconfig(Qt5Test)
BuildRequires:  pkgconfig(Qt5UiTools)
BuildRequires:  pkgconfig(Qt5Widgets)
BuildRequires:  pkgconfig(Qt5Xml)
BuildRequires:  pkgconfig(Qt5X11Extras)
BuildRequires:  pkgconfig(gig)
BuildRequires:  pkgconfig(sndfile)
BuildRequires:  pkgconfig(fftw3)
BuildRequires:  pkgconfig(libpulse)
BuildRequires:  pkgconfig(fluidsynth)
BuildRequires:  pkgconfig(portaudio-2.0)
BuildRequires:  pkgconfig(sndio)
BuildRequires:  pkgconfig(xft)
BuildRequires:  pkgconfig(xinerama)

Recommends:     ladspa-plugins-swh

%description
LMMS aims to be a free alternative to popular (but commercial and
closed- source) programs like FruityLoops/FL Studio, Cubase and Logic
allowing you to produce music with your computer.This includes
creation of loops, synthesizing and mixing sounds, arranging samples,
having fun with your MIDI-keyboard and much more...

LMMS combines the features of a tracker-/sequencer-program and those
of powerful synthesizers, samplers, effects etc. in a modern,
user-friendly and easy to use graphical user-interface.

Features:

* Song-Editor for arranging the song
* creating beats and basslines using the Beat-/Bassline-Editor
* easy-to-use piano-roll for editing patterns and melodies
* instrument and effect-plugins
* support for hosting VST(i)- and LADSPA-plugins (instruments/effects)
* automation-editor
* MIDI-support

%package devel
Summary:        Development package for %{name}
Group:          Development/C

%description devel
Development files and headers for %{name}.

%prep
%autosetup -p1 -n %{name}%{?prel:~%{prel}}

# remove spurious x-bits
find . -type f -exec chmod 0644 {} \;

%build
%cmake \
      -DWANT_QT5=ON \
      -DWANT_SDL:BOOL=ON \
      -DWANT_PORTAUDIO:BOOL=ON \
      -DWANT_CAPS:BOOL=ON \
      -DWANT_TAP:BOOL=ON \
      -DWANT_SWH:BOOL=ON \
      -DWANT_CALF:BOOL=ON \
      -DWANT_VST_NOWINE:BOOL=ON \
      -DWANT_CARLA:BOOL=OFF \
      -DCMAKE_INSTALL_LIBDIR=%{_lib}

%cmake_build


%install
%cmake_install


%files
%{_bindir}/%{name}
%{_datadir}/%{name}/
%{_libdir}/%{name}/
%{_mandir}/man?/%{name}.1*
%{_datadir}/applications/%{name}.desktop
%{_datadir}/mime/packages/%{name}.xml
%{_iconsdir}/hicolor/*/apps/%{name}.png
%{_iconsdir}/hicolor/*/apps/%{name}.svg
%{_iconsdir}/hicolor/*/mimetypes/application-x-%{name}-project.png
%{_iconsdir}/hicolor/*/mimetypes/application-x-%{name}-project.svg
%{_datadir}/bash-completion/completions/%{name}

%files devel
%{_includedir}/%{name}/
%{_libdir}/libqx11embedcontainer.a


%changelog
* Fri Jan 03 2025 daviddavid <daviddavid> 1.2.2-9.mga10
+ Revision: 2135107
- backport patch which removes an outdated workaround that causes a
  segfault when a recent version of kwidgetsaddons is installed

* Sat Feb 10 2024 daviddavid <daviddavid> 1.2.2-8.mga10
+ Revision: 2040042
- rebuild for new gig 4.4.0

* Sun May 21 2023 daviddavid <daviddavid> 1.2.2-7.mga9
+ Revision: 1957481
- enable Stk (Synthesis Toolkit) support

* Mon Apr 04 2022 umeabot <umeabot> 1.2.2-6.mga9
+ Revision: 1843730
- Mageia 9 Mass Rebuild

* Thu Aug 05 2021 luigiwalser <luigiwalser> 1.2.2-5.mga9
+ Revision: 1739415
- rebuild for fluidsynth

* Tue May 25 2021 akien <akien> 1.2.2-4.mga9
+ Revision: 1728204
- Rebuild for sndio 1.8.0 with fixed SONAME

* Thu Dec 17 2020 umeabot <umeabot> 1.2.2-3.mga8
+ Revision: 1658980
- Rebuild for new Qt5

* Fri Jul 24 2020 kekepower <kekepower> 1.2.2-2.mga8
+ Revision: 1608815
- Rebuild for new sndio

* Tue Jul 07 2020 daviddavid <daviddavid> 1.2.2-1.mga8
+ Revision: 1602818
- new version: 1.2.2

* Tue Feb 18 2020 umeabot <umeabot> 1.2.1-6.mga8
+ Revision: 1538293
- Mageia 8 Mass Rebuild
+ wally <wally>
- build with new cmake macros

* Mon Nov 18 2019 daviddavid <daviddavid> 1.2.1-5.mga8
+ Revision: 1461619
- rebuild for new libsoundio 2.0.0

* Wed Nov 13 2019 daviddavid <daviddavid> 1.2.1-4.mga8
+ Revision: 1459713
- rebuild for new gig 4.2.0

* Wed Oct 23 2019 daviddavid <daviddavid> 1.2.1-3.mga8
+ Revision: 1455252
- rpath is needed to find modules in /usr/lib(64)/lmms/*.so

* Tue Oct 22 2019 daviddavid <daviddavid> 1.2.1-2.mga8
+ Revision: 1455231
- enable partial VST support (without wine) in all arches

* Tue Oct 22 2019 daviddavid <daviddavid> 1.2.1-1.mga8
+ Revision: 1455135
- new version: 1.2.1

* Sat Jun 15 2019 tmb <tmb> 1.2.0-1.mga7
+ Revision: 1400065
- fix filelist
+ daviddavid <daviddavid>
- new version: 1.2.0 (Final)

* Sat Apr 13 2019 daviddavid <daviddavid> 1.2.0-0.rc8.1.mga7
+ Revision: 1389725
- new version: 1.2.0-rc8
- enable MP3/Lame, PortAudio and Sndio support

* Sun Mar 31 2019 umeabot <umeabot> 1.2.0-0.rc2.5.mga7
+ Revision: 1383232
- Qt5 Rebuild

* Mon Jan 14 2019 luigiwalser <luigiwalser> 1.2.0-0.rc2.4.mga7
+ Revision: 1356840
- add patch from opensuse to fix build against fluidsynth 2.0.x
- rebuild for fluidsynth

* Sun Sep 23 2018 umeabot <umeabot> 1.2.0-0.rc2.3.mga7
+ Revision: 1299333
- Mageia 7 Mass Rebuild

* Sun Jun 03 2018 daviddavid <daviddavid> 1.2.0-0.rc2.2.mga7
+ Revision: 1233811
- add patch to fix build with new Qt5 >= 5.11.0
- use a named-versioned git tarball
- enable gig and libsoundio support

* Tue Mar 21 2017 animtim <animtim> 1.2.0-0.rc2.1.mga6
+ Revision: 1093930
- update to 1.2.0-rc2

* Mon May 02 2016 tv <tv> 1.1.90-0.rc1.1.mga6
+ Revision: 1008579
- BR pkgconfig(Qt5Help)
- BR git
+ philippem <philippem>
- update to 1.1.90
+ animtim <animtim>
- update to new version 1.1.90 (1.2 RC1)

* Mon Feb 15 2016 umeabot <umeabot> 1.1.3-2.mga6
+ Revision: 961282
- Mageia 6 Mass Rebuild

* Thu Sep 10 2015 fwang <fwang> 1.1.3-1.mga6
+ Revision: 875359
- 1.1.3

* Wed Feb 11 2015 animtim <animtim> 1.1.2-1.mga5
+ Revision: 814712
- update to new version 1.1.2
- add patch to fix pops
- update to new version 1.1.1

* Wed Oct 15 2014 umeabot <umeabot> 1.0.3-2.mga5
+ Revision: 739817
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild
+ danf <danf>
- new version 1.0.3
+ dams <dams>
- new version 1.0.0

* Sat Oct 19 2013 umeabot <umeabot> 0.4.15-2.mga4
+ Revision: 528543
- Mageia 4 Mass Rebuild

* Sun Jun 23 2013 fwang <fwang> 0.4.15-1.mga4
+ Revision: 445904
- new version 0.4.15

* Mon May 27 2013 dams <dams> 0.4.14-1.mga4
+ Revision: 428676
- new version 0.4.14
- remove useless patches

* Sat Jan 12 2013 umeabot <umeabot> 0.4.13-6.mga3
+ Revision: 358916
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Nov 27 2012 dams <dams> 0.4.13-5.mga3
+ Revision: 322393
- update %%group for new policy

* Thu Jul 12 2012 dams <dams> 0.4.13-4.mga3
+ Revision: 270421
- Fix compilation flags to enable back ladspa (mga#6466)

* Wed Jun 20 2012 dams <dams> 0.4.13-3.mga3
+ Revision: 262020
- update icon for a better render
- add 'fltk-devel' as BuildRequires
- add patchs from fedora to fix mga#6466

* Wed Mar 14 2012 dams <dams> 0.4.13-2.mga2
+ Revision: 223369
- fix broken path for /usr/lib/lmms/*.so modules

* Mon Feb 06 2012 dams <dams> 0.4.13-1.mga2
+ Revision: 205607
- new version 0.4.13

* Sat Dec 10 2011 eatdirt <eatdirt> 0.4.12-2.mga2
+ Revision: 180396
- Rebuilt for fftw-3.3

* Thu Sep 08 2011 tv <tv> 0.4.12-1.mga2
+ Revision: 141154
- new release

* Thu Jun 16 2011 dams <dams> 0.4.11-1.mga2
+ Revision: 108007
- update to 0.4.11
- drop patch2

* Thu Mar 31 2011 dams <dams> 0.4.10-1.mga1
+ Revision: 79272
- Update patch
- Import, clean and update to 0.4.10
- imported package lmms


* Sun Aug 08 2010 Tomasz Pawel Gajc <tpg@mandriva.org> 0.4.7-1mdv2010.1
+ Revision: 567599
- add buildrequires on libxinerama-devel
- update to new version 0.4.7
- drop patch 0
- update file list

* Sat Jan 02 2010 Frederik Himpe <fhimpe@mandriva.org> 0.4.6-1mdv2010.1
+ Revision: 485173
- Update to new version 0.4.6
- Disable -Werror=format-security CFLAG

* Wed Aug 12 2009 Frederik Himpe <fhimpe@mandriva.org> 0.4.5-1mdv2010.0
+ Revision: 415765
- Update to new version 0.4.5
- Remove literal patch integrated upstream

* Tue May 05 2009 Frederik Himpe <fhimpe@mandriva.org> 0.4.4-1mdv2010.0
+ Revision: 372314
- Add libxft-devel BuildRequires
- Udate to new version 0.4.4
- Update format-security patch

* Sat May 02 2009 Funda Wang <fwang@mandriva.org> 0.4.3-2mdv2010.0
+ Revision: 370739
- add libdir patch from fedora

* Tue Feb 24 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 0.4.3-1mdv2009.1
+ Revision: 344469
- update to new version 0.4.3

* Sun Dec 21 2008 Adam Williamson <awilliamson@mandriva.org> 0.4.2-2mdv2009.1
+ Revision: 316852
- oops, typo
- ok, ok, so it doesn't build with underlinking protection
- add literal.patch: fix string literal problems
- it builds fine with underlinking and Werror

* Sat Dec 20 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 0.4.2-1mdv2009.1
+ Revision: 316808
- update to new version 0.4.2
- LMMS uses now cmake to build
 add buildrequiresd on libsndfile-devel, libfftw-devel, pulseaudio-devel, libfluidsynth-devel
- Patch0: rediff
- drop patch1, use sed to correct path for LADSPA plugins
- use _disable_ld_no_undefined and Werror_cflags (too much effort to fix this)
- add devel subpackage

  + Thierry Vignaud <tv@mandriva.org>
    - rebuild

  + Pixel <pixel@mandriva.com>
    - rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas

* Thu Mar 13 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 0.3.2-1mdv2008.1
+ Revision: 187506
- new version
- better summary and description
- enable high quality sinc-resampling

* Thu Feb 28 2008 Nicolas Lécureuil <nlecureuil@mandriva.com> 0.3.1-5mdv2008.1
+ Revision: 175973
- Fix icon macros

* Thu Feb 28 2008 Nicolas Lécureuil <nlecureuil@mandriva.com> 0.3.1-4mdv2008.1
+ Revision: 175955
- Try to fix plugin loading (Bug #38210)

* Mon Feb 25 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 0.3.1-3mdv2008.1
+ Revision: 175125
- fix bug #37629

  + Thierry Vignaud <tv@mandriva.org>
    - fix no-buildroot-tag
    - fix spacing at top of description

* Wed Dec 26 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 0.3.1-2mdv2008.1
+ Revision: 137843
- drop redundant buildrequires
- move icons to fd.o compiliant directory
- spec file clean
- fix wrong plugin path on x86_64 arch (bug #31038)

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Thu Nov 22 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 0.3.1-1mdv2008.1
+ Revision: 111080
- new version
- new license policy
- do not package COPYING file, add AUTHORS instead

* Wed Sep 05 2007 Funda Wang <fwang@mandriva.org> 0.3.0-1mdv2008.0
+ Revision: 79715
- Reuse qtmagic for configure :(
- add mime type for KDE
- add missing files
- build without vts
- New version 0.3.0
- fix desktop file

  + Thierry Vignaud <tv@mandriva.org>
    - kill desktop-file-validate's error: string list key "Categories" in group "Desktop Entry" does not have a semicolon (";") as trailing character
    - replace %%_datadir/man by %%_mandir!


* Sat Aug 26 2006 Couriousous <couriousous@mandriva.org> 0.2.1-2mdv2007.0
- Fix menu

* Fri Aug 25 2006 Couriousous <couriousous@mandriva.org> 0.2.1-1mdv2007.0
- 0.2.1
- XDG

* Tue Apr 18 2006 Couriousous <couriousous@mandriva.org> 0.1.4-1mdk
- 0.1.4

* Sat Sep 24 2005 Couriousous <couriousous@mandriva.org> 0.1.1-1mdk
- 0.1.1
- fix x86_64 build

* Thu Jul 28 2005 Sebastien Savarin <plouf@mandriva.org> 0.1-0.rc2mdk
-Fix BuildRequires

* Sun Jul 24 2005 Sebastien Savarin <plouf@mandriva.org> 0.1-0.rc1mdk
- First Mandriva Linux release

